package java.security.interfaces;

import java.security.spec.RSAOtherPrimeInfo;
import java.math.BigInteger;

public interface RSAMultiPrimePrivateCrtKey extends RSAPrivateKey
{
    public static final long serialVersionUID = 618058533534628008L;
    
    public abstract BigInteger getPublicExponent();
    
    public abstract BigInteger getPrimeP();
    
    public abstract BigInteger getPrimeQ();
    
    public abstract BigInteger getPrimeExponentP();
    
    public abstract BigInteger getPrimeExponentQ();
    
    public abstract BigInteger getCrtCoefficient();
    
    public abstract RSAOtherPrimeInfo[] getOtherPrimeInfo();
}
